GEGELATI

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Data::ConstantHandler Class Reference

Data::DataHandler used by Program::Program to handle their set of Constant values. More...

`#include <constantHandler.h>`

Inheritance diagram for Data::ConstantHandler:

## Public Member Functions
| ConstantHandler (size_t nb_constants)
| Default constructor of the ConstantHandler class.
virtual | ~ConstantHandler ()=default
| Default destructor.
| ConstantHandler (const ConstantHandler &other)=default
| Default copy constructor.
Public Member Functions inherited from Data::PrimitiveTypeArray< Constant >
| PrimitiveTypeArray (size_t size=8)
| Constructor for the PrimitiveTypeArray class.
| PrimitiveTypeArray (const PrimitiveTypeArray< Constant > &other)
| Copy constructor (deep copy).
| PrimitiveTypeArray (const ArrayWrapper< Constant > &other)
| Copy content from an ArrayWrapper.
| PrimitiveTypeArray (const PointerWrapper< Constant > &other)
| Copy content from a PointerWrapper.
virtual | ~PrimitiveTypeArray ()=default
| Default destructor.
virtual DataHandler * | clone () const override
| Inherited from DataHandler.
void | resetData () override
| Sets all elements of the Array to 0 (or its equivalent for the given template param.)
void | setDataAt (const std::type_info &type, const size_t address, const Constant &value)
| Set the data at the given address to the given value.
PrimitiveTypeArray< Constant > & | operator= (const PrimitiveTypeArray< Constant > &other)
| Assignement Operator for PrimitiveTypeArray<T>
Public Member Functions inherited from Data::ArrayWrapper< T >
| ArrayWrapper (size_t size=8, std::vector< T > *ptr=nullptr)
| Constructor for the ArrayWrapper class.
virtual | ~ArrayWrapper ()=default
| Default destructor.
| ArrayWrapper (const ArrayWrapper< T > &other)=default
| Default copy constructor.
| ArrayWrapper (const DataHandler &other, size_t size)
| Copy constructor for DataHandler.
virtual bool | canHandle (const std::type_info &type) const override
| Inherited from DataHandler.
virtual size_t | getAddressSpace (const std::type_info &type) const override
| Inherited from DataHandler.
virtual size_t | getLargestAddressSpace (void) const override
| Inherited from DataHandler.
void | invalidateCachedHash ()
| Invalidate the hash of the container.
void | setPointer (std::vector< T > *ptr)
| Set the pointer of the ArrayWrapper.
virtual UntypedSharedPtr | getDataAt (const std::type_info &type, const size_t address) const override
| Inherited from DataHandler.
virtual std::vector< size_t > | getAddressesAccessed (const std::type_info &type, const size_t address) const override
| Inherited from DataHandler.
virtual const std::type_info & | getNativeType () const override
| Inherited from DataHandler.
virtual std::vector< size_t > | getDimensionsSize () const override
| Inherited from DataHandler.
Public Member Functions inherited from Data::DataHandler
| DataHandler ()
| Default constructor of the DataHandler class.
virtual | ~DataHandler ()=default
| Default destructor.
| DataHandler (const DataHandler &other)=default
| Default copy constructor.
size_t | getId () const
| Get the ID of the DataHandler.
virtual size_t | getHash () const
| Get the current value of the hash for this DataHandler.
uint64_t | scaleLocation (const uint64_t rawLocation, const std::type_info &type) const
| Scale a location from the Environment largestAddressSpace to the largestAddressSpace of the dataHandler, for the given data type.

## Additional Inherited Members
Protected Member Functions inherited from Data::ArrayWrapper< T >
void | checkAddressAndType (const std::type_info &type, const size_t &address) const
virtual size_t | updateHash () const override
| Implementation of the updateHash method.
Protected Attributes inherited from Data::PrimitiveTypeArray< Constant >
std::vector< Constant > | data
| Array storing the data of the PrimitiveTypeArray.
Protected Attributes inherited from Data::ArrayWrapper< T >
const size_t | nbElements
| Number of elements contained pointer vector.
std::vector< T > * | containerPtr
| Pointer to the array containing the data accessed through the ArrayWrapper.
Protected Attributes inherited from Data::DataHandler
const size_t | id
| Identifier of each DataHandler.
size_t | cachedHash
| Cached value returned by the getHash() function.
bool | invalidCachedHash
| Boolean value indicating whether the current cachedValue is valid, or not.
Static Protected Attributes inherited from Data::DataHandler
static size_t | count = 0
| Static count used to initialize the id of each DataHandler.

## Detailed Description

Data::DataHandler used by Program::Program to handle their set of Constant values.

The documentation for this class was generated from the following file:

- D:/a/gegelati/gegelati/gegelatilib/include/data/constantHandler.h